### Opyn Privacy Policy

### Last Modified: January 2, 2022

&nbsp;
&nbsp;
&nbsp;

#### 1. Introduction

Welcome to the Opyn, Inc. (“Opyn”) Privacy Policy. This Privacy Policy explains how we collect and use any information you submit when using the Interface, as defined within the Opyn User Terms of Service (“User Terms”). This Privacy Policy should be read in conjunction with the User Terms and is integrated into the User Terms. All capitalized proper nouns not defined in this Privacy Policy will have the same definitions and meanings as defined by the User Terms. Please review the Privacy Policy periodically as we may revise it from time to time. If you do not agree with or accept our Privacy Policy in its entirety, you must not access or use the Interface. If you use the Interface following a change to the terms of this Privacy Policy you agree to accept the revised policies. Please do not submit any information to us if you reside in a Restricted Territory or if you or your organization is a Restricted Person.

#### 2. Information Collected

At Opyn, we may collect the following information from you when you access or use the Interface:

- Digital Wallet address, transaction history, and other associated information.
- Interactions with the Interface including but not limited to usage data and preferences.
- Online identifiers like computer and browser information, operating system, data usage, data transferred, geo location, and IP address.
- Information provided by third parties or publicly accessible databases which we may combine with other information collected.

#### 3. Use of Your Information

Where applicable, we will use any information collected as directed by you and in accordance with the User Terms. Further we may use your information in the following ways:

- To provide any services offered by the Interface, to process transactions, and to maintain, develop, and operate the Interface.
- To enforce the Privacy Policy or User Terms, to comply with applicable laws, to respond to third party, legal, and governmental inquiries, and to investigate any illegal or fraudulent activity.
- To enhance or improve our users’ experiences.
- To send and receive information to you via selected communication methods as set forth within the User Terms or where requested by you.
- To notify you of additional Opyn services and updates.
- To assist in maintaining the functionality, safety, and security of the Interface.
- To share your information with third party contractors hired by us to perform functions and provide services to us such as infrastructure providers, Blockchain Technology providers, marketing providers, and other vendors we use to make available the Interface.
- To release to governmental entities, authorities, or legal claimants as required.

#### 4. Governmental Entities

We may combine any information collected with information made available in third party databases and public sources. We may use such information to address claims, to respond to governmental inquires or requests, or to investigate issues. Further, such information may be shared with governmental entities including criminal, civil, and, regulatory agencies. Please be aware that we may keep copies of your information subject to our internal retention policies for the purposes of abiding by Applicable Laws or to prevent fraud or injury to a third party.

#### 5. Accessing and Editing Your Information

If you have any questions regarding any information collected please contact us at legal@opyn.co.

#### 6. Opt Out of Commercial, Non-Commercial Communications and Do Not Track

If you decide to provide us with your contact information, you agree that we may send you communications via emails or other methods. However, you may choose to unsubscribe from certain communications by notifying Opyn that you no longer wish to receive these communications, we will endeavour to honor such requests promptly. We currently do not offer functionality for you to opt out through “do not track” listings. If you wish to opt out of certain communications or information collection, please contact us at legal@opyn.co.

#### 7. Third Party Websites and Links

When accessing a third party site through our Interface, you acknowledge that you are aware that these third party websites are not screened for privacy or security issues by us, and you release us from any liability for the conduct of these third party websites. Please be aware that this Privacy Policy, and any other policies in place, in addition to any amendments, do not create rights enforceable by third parties. Opyn bears no responsibility for the information collected or used by any third party website. You must review their policies to understand how their information collection practices work.

#### 8. Security Measures

We make reasonable attempts to protect your information by using physical and electronic safeguards such as encryption. However, as the Interface relies on Blockchain Technology and electronic infrastructure that we have no control over, we can make no guarantees as to the security or privacy of your information submitted. For this reason, we recommend that you use anti-virus software, firewalls, and other precautions to protect yourself from security and privacy threats.

#### 9. Age Compliance

We do not collect or process any information for any persons under the age of majority in your jurisdiction (“Minors”). Please do not submit information to us if you are under the age of majority in your applicable jurisdiction. In the event that we have inadvertently collected any information from a Minor please contact us immediately.

#### 10. International Transfer

Your information may be transferred to - and maintained on - computers located outside of your state, province, country, or other governmental jurisdiction where the privacy laws may not be as protective as those in your jurisdiction. Your consent to this Privacy Policy followed by your submission of such information represents your agreement to that transfer. Information that is submitted to Opyn will be collected, processed, stored, disclosed, and disposed of in accordance with applicable United States’ law and this policy. In addition, such information may be stored on servers located outside your resident jurisdiction. United States’ law may not provide the degree of protection for information that is available in other countries.

#### 11. Merger and Acquisition

In the event that Opyn is involved in a bankruptcy, merger, acquisition, reorganization or sale of assets, your information may be transferred as part of that transaction. Please be aware that once the information is transferred your privacy rights may change.

#### 12. Amendments

Like our User Terms, we may amend this Privacy Policy from time to time. When we amend this Privacy Policy, we will modify the date listed on this Privacy Policy or we may contact you. You must agree to the amendments as a condition of your continued use of our Interface. If you do not agree, you must immediately cease using our Interface.

#### 13. Contact

If you have any questions regarding our Privacy Policy please contact us at legal@opyn.co.
